Bug 1567710 - Update the Labs App "RHV Upgrade Helper" for RHV 4.2
Summary: Update the Labs App "RHV Upgrade Helper" for RHV 4.2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Customer Portal Labs
Classification: Red Hat
Component: RHV Upgrade Helper
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Yunfeng Zhao
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 03:22 UTC by Yunfeng Zhao
Modified: 2018-05-17 09:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-17 09:50:09 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Yunfeng Zhao 2018-04-16 03:22:20 UTC
RHV 4.2 will be released on May 15th.
I think it's time for us to prepare the update of the Labs App "RHV Upgrade Helper"  for RHV 4.2.

Comment 1 Yunfeng Zhao 2018-05-15 02:21:58 UTC
Changes requirement from Roman:

Environment Checks

The first heads-up with engine-upgrade-check is OK We just have to modify the link to the documentation. It will most probably be  https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2/html/upgrade_guide/chap-updates_between_minor_releases but the link is not available yet. 

The second Heads up with the analyzer is OK

The question "Do you run Hosted Engine?" Is the same

The question "Are you running 4.1 capable hosts?" can be removed.

The question "Do you use Red Hat Virtualization Hypervisors (RHV-H) in your environment?" remains there.

The question "Is any of the hosts configurated with local Storage Domains?" can be removed.

New questions need to be added:
Do you have any manual modification in your httpd ssl.conf configuration file (Yes/No) 
If yes then KCS https://access.redhat.com/solutions/3442051 should be displayed.

Is your Manager or Data Warehouse database running on the remote system? (Yes/No)
Hint: 
grep DB_HOST /etc/ovirt-engine/engine.conf.d/10-setup*database.conf
/etc/ovirt-engine/engine.conf.d/10-setup-database.conf:ENGINE_DB_HOST="localhost"
/etc/ovirt-engine/engine.conf.d/10-setup-dwh-database.confWH_DB_HOST="localhost"
If the ENGINE_DB_HOST or DWH_DB_HOST is different from localhost or the RHV-M FQDN then the DB is running remotely.

If yet then: 
Action Required: 
Red Hat Virtualization 4.2 uses PostgreSQL 9.5 instead of PostgreSQL 9.2. If either of your databases (Manager or Data Warehouse) is installed on a separate machine, you must perform the following procedure on each remote database before upgrading the Manager. 
https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2/html/upgrade_guide/Upgrading_Remote_Databases


Upgrade steps (Non hosted engine, non RHV-H)

1.1 - has to be modified. "Enable the RHEV 4.1 repositories" will be changed to "Enable the RVH 4.2 repositories"
The repositories are different the following repositories have to be enabled:
# subscription-manager repos --enable=rhel-7-server-rhv-4.2-manager-rpms
# subscription-manager repos --enable=rhel-7-server-rhv-4-manager-tools-rpms
# subscription-manager repos --enable=rhel-7-server-ansible-2-rpms
1.2, 1.3 - are the same
1.4 - has to be modified
"Disable the old RHV 4.0 repository in your yum configuration" to "Disable the old RHV 4.1 repository in your yum configuration"
The repositories are also different: 
# subscription-manager repos --disable=rhel-7-server-rhv-4.1-rpms
# subscription-manager repos --disable=rhel-7-server-rhv-4.1-manager-rpms
# subscription-manager repos --disable=rhel-7-server-rhv-4-tools-rpms
1.5, 1.6 - are the same
1.7 - this step has to be added. 
If the Data Warehouse is installed on a separate machine, log in to that machine and start the ovirt-engine-dwhd service:

# systemctl restart ovirt-engine-dwhd

2.1 - is the same
2.2 - has different repositories
# subscription-manager repos --enable=rhel-7-server-rpms 
# subscription-manager repos --enable=rhel-7-server-rhv-4-mgmt-agent-rpms 
# subscription-manager repos --enable=rhel-7-server-ansible-2-rpms

2.3, 2.4, 2.5 - are the same

3 - Change 4.1 to 4.2 and chenge the link https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2/html/upgrade_guide/chap-post-upgrade_tasks

Upgrade steps (Non hosted engine, RHV-H)
1.x is the same as non RHV-H  hosts
Typo in 2 "Upgrade hosts in your environemnt." to "Upgrade hosts in your environment."
2.1 - This step has to be added:
Ensure the required repository is enabled:
# subscription-manager repos --enable=rhel-7-server-rhvh-4-rpms
# subscription-manager repos --enable=rhel-7-server-ansible-2-rpms
2.1, 2.2 - moves to 2.2 and 2.3
3 - Change 4.1 to 4.2 and chenge the link https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2/html/upgrade_guide/chap-post-upgrade_tasks


Upgrade steps (Hosted engine, non RHV-H)
2.x - is the same as for Hosted engine on RHV-H
Typo in 3 "Upgrade hosts in your environemnt." to "Upgrade hosts in your environment."
3.1 - is the same
3.2 - has different repositories
# subscription-manager repos --enable=rhel-7-server-rpms 
# subscription-manager repos --enable=rhel-7-server-rhv-4-mgmt-agent-rpms 
# subscription-manager repos --enable=rhel-7-server-ansible-2-rpms
3.3, 3.4, 3.5, 3.6 - are the same
4.x - is the same
5 - Change 4.1 to 4.2 and change the link https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2/html/upgrade_guide/chap-post-upgrade_tasks

Upgrade steps (Hosted engine, RHV-H)

1.1 - Change "Right click on the hosted engine VM and choose "Enable Global HA Maintenance"" to "In the Administration Portal, right-click a self-hosted engine node and select Enable Global HA Maintenance."
2.1 - Change "Enable the RHEV 4.1 repository in your yum configuration." to "Enable the RHEV 4.2 repository in your yum configuration."
Change repositories:
# subscription-manager repos --enable=rhel-7-server-rhv-4.2-manager-rpms
# subscription-manager repos --enable=rhel-7-server-rhv-4-manager-tools-rpms
# subscription-manager repos --enable=rhel-7-server-ansible-2-rpms
2.2, 2.3 - are the same
2.4 - Has different repositories:
# subscription-manager repos --disable=rhel-7-server-rhv-4.1-manager-rpms
# subscription-manager repos --disable=rhel-7-server-rhv-4.1-rpms
2.5, 2.6, 2.7, 2.8 - are the same
Typo in 3 "Upgrade hosts in your environemnt." to "Upgrade hosts in your environment."
3.1 - This step has to be added:
Ensure the required repository is enabled:
# subscription-manager repos --enable=rhel-7-server-rhvh-4-rpms
# subscription-manager repos --enable=rhel-7-server-ansible-2-rpms
3.1, 3.2 - moves to 3.2 and 3.3
4.1 - is the same 
5 - Change 4.1 to 4.2 and change the link https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2/html/upgrade_guide/chap-post-upgrade_tasks

Comment 2 Yunfeng Zhao 2018-05-16 06:16:30 UTC
Hi Roman,
I've updated the app according to your instructions.
Can you have a look?
https://labsci.usersys.redhat.com/labs/rhvupgradehelper/
Thanks.

Yunfeng

Comment 3 Roman Hodain 2018-05-17 07:39:40 UTC
(In reply to Yunfeng Zhao from comment #2)
> Hi Roman,
> I've updated the app according to your instructions.
> Can you have a look?
> https://labsci.usersys.redhat.com/labs/rhvupgradehelper/
> Thanks.
> 
> Yunfeng

Hi,

I found two small issues:

Environment Checks
    - Question: Is your RHV Manager or Data Warehouse database running on the remote system?
        The link is a bit different
            https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2/html/upgrade_guide/Upgrading_Remote_Databases
            to
            https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2/html/upgrade_guide/chap-upgrading_to_red_hat_virtualization_4.2#Upgrading_Remote_Databases

        The command box contain just one line which can cause confucion as the
text insite is actually multiline:

            # grep DB_HOST /etc/ovirt-engine/engine.conf.d/10-setup*database.conf
            /etc/ovirt-engine/engine.conf.d/10-setup-dwh-database.conf:DWH_DB_HOST="localhost"
            /etc/ovirt-engine/engine.conf.d/10-setup-database.conf:ENGINE_DB_HOST="localhost"

        The first line is the command other lines are the result.

The rest seems ok.

Comment 4 Yunfeng Zhao 2018-05-17 08:41:32 UTC
Hi Roman,
I've updated the app.
Can you have a look again?
https://labsci.usersys.redhat.com/labs/rhvupgradehelper/
Thanks.

Yunfeng

Comment 5 Roman Hodain 2018-05-17 08:56:32 UTC
Looks good. Green from me.  
Thanks!

Comment 6 Yunfeng Zhao 2018-05-17 09:50:09 UTC
Hi Roman,
The changes has been pushed to Prod:
https://access.redhat.com/labs/rhvupgradehelper/
Thank you very much for your help!

Yunfeng


Note You need to log in before you can comment on or make changes to this bug.